## org.eclipse.emf.workspace.examples.extlibrary.presentation
Class ResourceLoadedListener

    java.lang.Object
      org.eclipse.emf.transaction.ResourceSetListenerImpl
          org.eclipse.emf.transaction.DemultiplexingListener
              org.eclipse.emf.workspace.examples.extlibrary.presentation.ResourceLoadedListener

All Implemented Interfaces:
  EventListener, ResourceSetListener, ResourceSetListener.Internal

    public class ResourceLoadedListener

extends DemultiplexingListener

Listens for the loading of resources, and creates editors on them when they load.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.ResourceSetListener
`ResourceSetListener.Internal`

Constructor Summary
`ResourceLoadedListener()` Initializes me with my filter.

Method Summary
`static ResourceLoadedListener` `getDefault()` Returns the default listener instance.
`protected void` `handleNotification(TransactionalEditingDomain domain, org.eclipse.emf.common.notify.Notification notification)` Implemented by subclasses to respond to each notification in serial order.
`void` `ignore(org.eclipse.emf.ecore.resource.Resource res)` Ignores any future load/unload notifications from the specified resource, until the next call to `watch(res)`.
`void` `watch(org.eclipse.emf.ecore.resource.Resource res)` Ceases to `ignore(Resource)` a previously ignored resource.

Methods inherited from class org.eclipse.emf.transaction.DemultiplexingListener
`isPostcommitOnly, resourceSetChanged`

Methods inherited from class org.eclipse.emf.transaction.ResourceSetListenerImpl
`getFilter, getTarget, isAggregatePrecommitListener, isPrecommitOnly, setTarget, transactionAboutToCommit, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceLoadedListener

    public ResourceLoadedListener()

  Initializes me with my filter.

Method Detail

### getDefault

    public static ResourceLoadedListener getDefault()

  Returns the default listener instance.

  Returns:
    the instance associated with the editing domain that manages the specified resource set, or `null` if none is found

### ignore

    public void ignore(org.eclipse.emf.ecore.resource.Resource res)

  Ignores any future load/unload notifications from the specified resource, until the next call to `watch(res)`.

  Parameters:
    `res` - the resource to ignore

### watch

    public void watch(org.eclipse.emf.ecore.resource.Resource res)

  Ceases to `ignore(Resource)` a previously ignored resource.

  Parameters:
    `res` - the resource

### handleNotification

    protected void handleNotification(TransactionalEditingDomain domain,
                                      org.eclipse.emf.common.notify.Notification notification)

  Description copied from class: `DemultiplexingListener`
  Implemented by subclasses to respond to each notification in serial order.

  Specified by:
    `handleNotification` in class `DemultiplexingListener`
  Parameters:
    `domain` - the editing domain from which the notification originated
    `notification` - the notification describing a change in the model
  See Also:
    `DemultiplexingListener.resourceSetChanged(ResourceSetChangeEvent)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.